### Database for studying Generalised Parton Distributions (GPDs)

**About:** The project aims to provide a database for studying GPDs. It is a collaborative effort by scientists working in this field.

**Mission:** The mission is to provide open access to GPD datasets for researchers around the world, facilitating easier integration of existing and new data into phenomenological analyses. By improving reproducibility, the project aims to help the research community fully adopt open-science standards. In addition, the database can serve as an aggregation point to store benchmarks for theoretical developments. This open, accessible resource is designed to accelerate research in the field of GPDs.

**Key Features:** The proposed database is a streamlined, efficient resource for storing both experimental and lattice-QCD data relevant to GPD research. Using a lightweight format based on YAML serialization, the database easily captures essential analysis details, including replica values for advanced statistical work. It supports seamless integration with analysis codes through Python and C++ interfaces, making it a practical tool for researchers working on various aspects of GPD phenomenology.

**License:** This project is strictly for the non-profit scientific use, and is distributed under GPL-3.0 license. 

**Resources:**
  * Webpage: [https://opengpd.github.io/gpddatabase](https://opengpd.github.io/gpddatabase)
  * PyPi repository: [https://pypi.org/project/gpddatabase](https://pypi.org/project/gpddatabase)
  * Reference article: []()
